/******************************************************************************
*   Author       -  Kiraly Tibor
*                   http://www.tkiraaly.hu
*   Date         -  2020.07.12.
*   Chip         -  Arduino nano, hangszoro
*   Compiler     -  Arduino IDE 1.8.12
*
*   Dallamcsengo
*    
******************************************************************************/

// Definiciok uj dallamok beirasahoz
//    A4+ T_1_4      - 1/4 hosszu A4 hang
//    PAUSE+ T_1_2   - 1/2 hosszu szunet 
//    END_OF_SONG    - dal veget ezzel kell lezarni, kulonben a prg. elszall

#define END_OF_SONG              255
#define PAUSE                      0

#define H5                         1             // 988 Hz, ti
#define AISZ5                      2             // 932 Hz
#define A5                         3             // 880 Hz, lá
#define GISZ5                      4             // 830 Hz
#define G5                         5             // 784 Hz, szó
#define FISZ5                      6             // 740 Hz
#define F5                         7             // 698 Hz, fá
#define E5                         8             // 658 Hz, mi
#define DISZ5                      9             // 622 Hz
#define D5                        10             // 588 Hz, ré
#define CISZ5                     11             // 554 Hz
#define C5                        12             // 522 Hz, dó
#define H4                        13             // 494 Hz, ti
#define AISZ4                     14             // 466 Hz
#define A4                        15             // 440 Hz, lá
#define GISZ4                     16             // 415 Hz
#define G4                        17             // 392 Hz, szó
#define FISZ4                     18             // 370 Hz
#define F4                        19             // 349 Hz, fá
#define E4                        20             // 329 Hz, mi
#define DISZ4                     21             // 311 Hz
#define D4                        22             // 394 Hz, ré
#define CISZ4                     23             // 277 Hz
#define C3                        24             // 261 Hz, dó            
#define H3                        25             // 247 Hz, ti
#define AISZ3                     26             // 233 Hz    
#define A3                        27             // 220 Hz, lá
#define GISZ3                     28             // 208 Hz
#define G3                        29             // 196 Hz, szó

#define T_1                B00000000             // egesz
#define T_3_4              B00100000             // 3/4
#define T_1_2              B01000000             // 1/2
#define T_3_8              B01100000             // 3/8
#define T_1_4              B10000000             // 1/4
#define T_3_16             B10100000             // 3/16
#define T_1_8              B11000000             // 1/8
#define T_1_16             B11100000             // 1/16




#define KIMENET                    3             // kimeno lab
#define TT                        62             // 1/16-od hossza msec-ben




// MAV szignal
const byte kotta[] PROGMEM=
{
   0x8C, 0xD1, 0xCF, 0x91, 0xD4, 0xD3, 0x94, 0x00,
   0xFE
};



 
/*
// Ujvilag Szimphonia
const byte kotta[] PROGMEM=
{
   0x34, 0x72, 0x71, 0x52, 0xB4, 0x34, 0x34, 0x76,
   0xB9, 0xB6, 0x14, 0x00, 0xFE
};


// Bolero *
const byte kotta[] PROGMEM=
{
   0x0C, 0xAD, 0xAC, 0xAA, 0xAC, 0xAD, 0xAF, 0x6C,
   0xAC, 0xAF, 0x0C, 0xAD, 0xAC, 0xAF, 0xB1, 0xB4,
   0xB3, 0x31, 0x31, 0xB1, 0xB3, 0xB4, 0xB6, 0xB4,
   0xB3, 0xB1, 0xAF, 0x31, 0x31, 0xB1, 0xAF, 0xAD,
   0xAF, 0xB1, 0xB3, 0xB4, 0xB6, 0xB4, 0xB6, 0x3B,
   0xB8, 0xB6, 0x74, 0x73, 0x36, 0x11, 0x00, 0xFE
};


// Gyertyafeny keringo
const byte kotta[] PROGMEM=
{
   0x98, 0x53, 0x93, 0x53, 0x8F, 0x51, 0x93, 0x51,
   0x8F, 0x53, 0x93, 0x4F, 0x8C, 0x0A, 0xC0, 0x8A,
   0x4C, 0x8F, 0x4F, 0x93, 0x51, 0x93, 0x51, 0xCF,
   0xD1, 0x53, 0x96, 0x56, 0x98, 0x13, 0x00, 0xFE
};


// Old-Black Joe
const byte kotta[] PROGMEM=
{
   0x56, 0x92, 0x91, 0x2F, 0x8F, 0x8D, 0x8A, 0x8B,
   0x8D, 0x2F, 0x80, 0x56, 0x92, 0x91, 0x2F, 0x8F,
   0x8D, 0x8F, 0x91, 0x92, 0x34, 0x00, 0xFE
};


// Foci indulo
const byte kotta[] PROGMEM=
{
   0x8C, 0xED, 0x6C, 0x6F, 0x60, 0x8C, 0xED, 0x6C,
   0x6F, 0x60, 0x8C, 0xED, 0x6C, 0xAF, 0xAF, 0x6C,
   0xAD, 0x8E, 0x00, 0xFE
};


// Torreador
const byte kotta[] PROGMEM=
{
   0x4C, 0x6A, 0xCC, 0x4F, 0x4F, 0x6F, 0xD1, 0x6F,
   0xCE, 0x2F, 0x80, 0x4E, 0x71, 0xCC, 0x2F, 0x80,
   0x53, 0x76, 0xD1, 0x38, 0x00, 0xFE
};


// Bank ban
const byte kotta[] PROGMEM=
{
   0xD1, 0x88, 0x88, 0x8A, 0x8A, 0x6C, 0xCC, 0x8D,
   0xC0, 0xCD, 0x8C, 0x8C, 0x8D, 0x8D, 0x6F, 0xCF,
   0x91, 0xC0, 0xD1, 0x94, 0x8C, 0x8D, 0x8F, 0x4A,
   0x52, 0x91, 0x00, 0xFE
};


// Fulesmacko
const byte kotta[] PROGMEM=
{
   0x51, 0x91, 0x8F, 0x91, 0x93, 0x94, 0x98, 0x56,
   0x96, 0x93, 0x94, 0x96, 0x58, 0x58, 0x56, 0x96,
   0x93, 0x94, 0x96, 0x91, 0x91, 0x56, 0x96, 0x93,
   0x94, 0x96, 0x58, 0x00, 0xFE
};


// Mar en tobbet nem…
const byte kotta[] PROGMEM=
{
   0xD1, 0xCF, 0xCD, 0xCC, 0xD1, 0xCF, 0xCD, 0xCC,
   0xCA, 0xC8, 0xC7, 0xC8, 0x8A, 0x85, 0x4A, 0x8A,
   0x00, 0xFE
};


// Talaltam en….
const byte kotta[] PROGMEM=
{
   0xB4, 0x73, 0xB4, 0x78, 0xB4, 0xB3, 0xB3, 0xB4,
   0x76, 0x74, 0x60, 0xB4, 0xB3, 0x74, 0x78, 0xB4,
   0xB6, 0xB6, 0xB8, 0x79, 0x78, 0x00, 0xFE
};

 
// Oromoda
const byte kotta[] PROGMEM=
{
   0x99, 0x99, 0x98, 0x96, 0x96, 0x98, 0x99, 0x9B,
   0x9D, 0x9D, 0x9B, 0x99, 0x79, 0xDB, 0x5B, 0x00,
   0xFE
};


// Lambada*
const byte kotta[] PROGMEM=
{
   0x48, 0x88, 0x8A, 0x8C, 0x8D, 0x4F, 0x8F, 0x8C,
   0x8D, 0x8F, 0x91, 0x8F, 0x94, 0x96, 0x94, 0xD6,
   0xD4, 0x40, 0x48, 0x88, 0x8A, 0x8C, 0x8D, 0x4F,
   0x8F, 0x8C, 0x8D, 0x8F, 0x91, 0x8F, 0x94, 0x96,
   0x94, 0xD6, 0xD4, 0x40, 0x4A, 0x8A, 0x8C, 0x53,
   0x93, 0x8F, 0x48, 0x8A, 0x8C, 0x53, 0x8F, 0x8C,
   0x6D, 0xCF, 0x51, 0x91, 0x91, 0x8F, 0x91, 0xCC,
   0xCD, 0x4F, 0x00, 0xFE
};


// Monti csardas
const byte kotta[] PROGMEM=
{
   0xD6, 0x8A, 0x8E, 0x8F, 0xD3, 0xD4, 0x96, 0xD7,
   0x96, 0x80, 0xF6, 0xF4, 0xF3, 0xF4, 0xF6, 0xF4,
   0xF3, 0xF4, 0xF6, 0xF4, 0xF3, 0xF4, 0xF6, 0xF4,
   0xF3, 0xF6, 0xD3, 0x94, 0xD5, 0x94, 0x80, 0xF1,
   0xEF, 0xEE, 0xEF, 0xF1, 0xEF, 0xEE, 0xEF, 0xF1,
   0xEF, 0xEE, 0xEF, 0xF1, 0xEF, 0xEE, 0xF1, 0xF3,
   0xF1, 0xEF, 0xF1, 0xF3, 0xF1, 0xEF, 0xF1, 0xF3,
   0xF1, 0xEF, 0xF1, 0xF3, 0xEF, 0xF1, 0xF3, 0xFB,
   0xF9, 0xF7, 0xF6, 0xF4, 0xF3, 0xF1, 0xEF, 0xEE,
   0xEF, 0xF1, 0xF3, 0xF4, 0xF6, 0xF7, 0xF4, 0xD4,
   0x96, 0xD7, 0x96, 0x00, 0xFE
};


// Boci-boci *
const byte kotta[] PROGMEM=
{
   0x98, 0x94, 0x98, 0x94, 0x51, 0x51, 0x98, 0x94,
   0x98, 0x94, 0x51, 0x51, 0x8C, 0x8D, 0x8F, 0x91,
   0x53, 0x4F, 0x91, 0x93, 0x94, 0x96, 0x58, 0x58,
   0x00, 0xFE
};


// Furelise
const byte kotta[] PROGMEM=
{
   0xA3, 0xA4, 0xA3, 0xA4, 0xA3, 0xA8, 0xA5, 0xA7,
   0xAA, 0xBB, 0xB6, 0xB3, 0xAF, 0xAA, 0xA8, 0xBB,
   0xB7, 0xB4, 0xAF, 0xA8, 0xA7, 0xAF, 0xA3, 0xA4,
   0xA3, 0xA4, 0xA3, 0xA8, 0xA5, 0xA7, 0xAA, 0xBB,
   0xB6, 0xB3, 0xAF, 0xAA, 0xA8, 0xBB, 0xB7, 0xBB,
   0xA7, 0xA8, 0x2A, 0x00, 0xFE
};


// Az en rozsam vasutas
const byte kotta[] PROGMEM=
{
   0x98, 0x96, 0x94, 0x93, 0x91, 0x91, 0x4C, 0x91,
   0x91, 0x4A, 0x91, 0x91, 0x48, 0x6A, 0xCC, 0x8D,
   0x8F, 0x91, 0x91, 0x4C, 0x91, 0x93, 0x94, 0x96,
   0x58, 0xED, 0x8C, 0x00, 0xFE   
};


// Estimese
const byte kotta[] PROGMEM=
{
   0xFD, 0xFB, 0xF9, 0xD8, 0xC0, 0xD6, 0xD4, 0xC0,
   0xD3, 0xD1, 0xC0, 0xD5, 0xCF, 0xC0, 0xD4, 0x11,
   0xD1, 0x74, 0xD1, 0xC0, 0xD3, 0xD6, 0xC0, 0xD9,
   0xDD, 0xC0, 0xD9, 0x73, 0xCF, 0xC0, 0xD1, 0xD4,
   0xC0, 0xD8, 0x5D, 0xFD, 0xFB, 0xF9, 0xD8, 0xC0,
   0xD6, 0xD4, 0xC0, 0xD3, 0xD1, 0xC0, 0xD5, 0xCF,
   0xC0, 0xD4, 0x11, 0xD1, 0x7D, 0xFD, 0xFC, 0xFB,
   0xFA, 0xB9, 0x20, 0x6D, 0x18, 0x00, 0xFE
};


// Hid a Kwai folyon
const byte kotta[] PROGMEM=
{
   0x91, 0x94, 0x20, 0x94, 0x93, 0x91, 0xE9, 0xA8,
   0x80, 0xE9, 0xA8, 0x80, 0x4C, 0x8C, 0x80, 0x91,
   0x94, 0x20, 0x94, 0x93, 0x94, 0x91, 0x80, 0x91,
   0x80, 0x53, 0x93, 0x80, 0x93, 0x96, 0x20, 0x8F,
   0x8D, 0x8F, 0x8C, 0x91, 0x20, 0x91, 0x93, 0x94,
   0x96, 0x8F, 0x80, 0x98, 0x99, 0x91, 0x80, 0x91,
   0x18, 0x00, 0xFE   
};


// Kan-kan
const byte kotta[] PROGMEM=
{
   0xF6, 0xE0, 0xEF, 0xE0, 0xEF, 0xE0, 0xED, 0xE0,
   0xEF, 0xE0, 0xF1, 0xE0, 0xF1, 0xE0, 0xED, 0xE0,
   0xEC, 0xE0, 0xE8, 0xE0, 0xE5, 0xE0, 0xE8, 0xE0,
   0xE8, 0xE0, 0xEA, 0xE0, 0x8A, 0xE8, 0xE0, 0xF2,
   0xE0, 0xF2, 0xE0, 0xC8, 0xEA, 0xE0, 0xF1, 0xE0,
   0xF1, 0xE0, 0xCD, 0xEC, 0xED, 0xE0, 0xEF, 0xE0,
   0xED, 0xE0, 0xEF, 0xE0, 0xEF, 0xE0, 0xF1, 0xE0,
   0x91, 0x00, 0x00, 0xFE
};


// Ven cigany
const byte kotta[] PROGMEM=
{
   0x9B, 0x7A, 0x9C, 0x1B, 0x9B, 0xC0, 0x9B, 0x7C,
   0x9B, 0x79, 0x97, 0x76, 0x94, 0x11, 0x93, 0x14,
   0x94, 0xC0, 0x94, 0x73, 0x91, 0x0F, 0x4F, 0xE0,
   0x91, 0x73, 0x94, 0x2F, 0x91, 0x13, 0x93, 0xC0,
   0x8A, 0x4A, 0x8A, 0x0A, 0x4A, 0xE0, 0x8F, 0x70,
   0x8F, 0x2C, 0x8D, 0x0E, 0x8E, 0xE0, 0x8F, 0x71,
   0x93, 0x14, 0x94, 0xC0, 0x9B, 0x7C, 0x9B, 0x13,
   0x94, 0x16, 0x16, 0x00, 0xFE   
};
 

// Kek ibolya
const byte kotta[] PROGMEM=
{
   0x2F, 0x91, 0x93, 0x94, 0x8F, 0x91, 0x34, 0x98,
   0x99, 0x3B, 0x3B, 0x80, 0x4C, 0x4D, 0x8F, 0x2A,
   0x4C, 0x4F, 0x4C, 0x4D, 0x8F, 0x34, 0x34, 0x80,
   0x2C, 0x8D, 0x8F, 0x2A, 0x4C, 0x8F, 0x8D, 0x4C,
   0x4D, 0x6F, 0xAF, 0xD4, 0x6F, 0x31, 0x80, 0x2F,
   0x91, 0x93, 0x94, 0x96, 0x91, 0x34, 0x98, 0x99,
   0x3B, 0x1B, 0x00, 0xFE
};


// G-moll symphonia
const byte kotta[] PROGMEM=
{
   0xD5, 0xD6, 0x96, 0xD5, 0xD6, 0x96, 0xD5, 0xD6,
   0x96, 0x8E, 0x80, 0xCE, 0xCF, 0x91, 0xD1, 0xD3,
   0x95, 0xD5, 0xD6, 0x98, 0x98, 0x80, 0xD6, 0xD8,
   0x98, 0xD6, 0xD8, 0x98, 0xD6, 0xD8, 0x98, 0x8F,
   0x80, 0xCF, 0xD1, 0x92, 0xD2, 0xD5, 0x96, 0xD6,
   0xD8, 0x9A, 0x9A, 0x80, 0xCE, 0xCF, 0x8F, 0x8C,
   0x92, 0x8F, 0x91, 0x96, 0x80, 0xCE, 0xCF, 0x8F,
   0x8C, 0x92, 0x8F, 0x91, 0x8E, 0xCF, 0xD1, 0xD3,
   0xD5, 0x96, 0x92, 0x91, 0x8F, 0x8E, 0xCC, 0xCE,
   0x8F, 0x91, 0x96, 0x80, 0xCB, 0xCB, 0xCB, 0xCB,
   0x8A, 0x80, 0xCB, 0xCB, 0xCB, 0xCB, 0x8A, 0x80,
   0xCB, 0xCB, 0xCB, 0xCB, 0xCA, 0xC0, 0xD6, 0xD6,
   0xD6, 0xC0, 0xD6, 0xC0, 0x36, 0x00, 0xFE
};


// Deres mar a hatar
const byte kotta[] PROGMEM=
{
   0xB1, 0x71, 0x4E, 0xAE, 0xAF, 0x16, 0x80, 0x51,
   0xAF, 0xAE, 0x2A, 0xAB, 0x0F, 0x80, 0x6A, 0xAA,
   0x65, 0x4A, 0xAB, 0xAE, 0xAF, 0x91, 0xB2, 0x4F,
   0x11, 0x60, 0xAA, 0xAA, 0xA9, 0xAA, 0xA7, 0x69,
   0xAA, 0x6A, 0x2C, 0xC0, 0xAE, 0xAE, 0xAC, 0xAE,
   0xAA, 0x6C, 0xAE, 0x4E, 0x0F, 0xC0, 0xB1, 0x71,
   0x4E, 0xAE, 0xAF, 0x16, 0xE0, 0x71, 0xAF, 0xAE,
   0x6A, 0xAB, 0x0F, 0xE0, 0x6A, 0xAA, 0x65, 0x4A,
   0xAB, 0xAE, 0xAF, 0x91, 0xB2, 0x4F, 0x11, 0x00,
   0xFE
};
 

// Pattogatott kukorica
const byte kotta[] PROGMEM=
{
   0xED, 0xE0, 0xEF, 0xE0, 0xED, 0xE0, 0xF2, 0xE0,
   0xF6, 0xF2, 0xC0, 0xF9, 0xA0, 0xED, 0xE0, 0xEF,
   0xE0, 0xED, 0xE0, 0xF2, 0xE0, 0xF6, 0xF2, 0xC0,
   0xF9, 0xA0, 0xED, 0xE0, 0xEB, 0xE0, 0xEA, 0xE0,
   0xEB, 0xE0, 0xEA, 0xE0, 0xED, 0xE0, 0xEB, 0xE0,
   0xED, 0xE0, 0xEB, 0xE0, 0xEF, 0xE0, 0xED, 0xE0,
   0xEF, 0xED, 0xF1, 0xC0, 0xED, 0x00, 0xFE   
};


// Kis lak all a..
const byte kotta[] PROGMEM=
{
   0x8A, 0xCC, 0x6D, 0x6D, 0x8A, 0xCA, 0x88, 0xCA,
   0x6A, 0x4C, 0x80, 0x8C, 0xCD, 0x6F, 0x6F, 0x88,
   0xC8, 0x8A, 0xCC, 0x6C, 0x2D, 0x00, 0xFE
};
 

// Kossuth szignal
const byte kotta[] PROGMEM=
{
   0x6D, 0xCC, 0xCD, 0x75, 0x74, 0xD2, 0x91, 0x8F,
   0x6D, 0xCC, 0xCD, 0x75, 0x34, 0x00, 0xFE
};


// Csau-Csau
const byte kotta[] PROGMEM=
{
   0xD1, 0xD2, 0xD3, 0xD4, 0xD3, 0xD2, 0xD1, 0x40,
   0xC0, 0xD1, 0xCF, 0xCD, 0xCC, 0xCA, 0xCC, 0xD4,
   0xCF, 0xD1, 0x00, 0xFE
};


// Nagy ho-ho
const byte kotta[] PROGMEM=
{
   0xB6, 0x76, 0xB2, 0x2F, 0xAD, 0xAF, 0xB1, 0x6F,
   0x60, 0xAF, 0x6D, 0x6A, 0x6A, 0x6D, 0xAF, 0xB2,
   0x6F, 0x00, 0xFE
};


// Kukorica Jancsi
const byte kotta[] PROGMEM=
{
   0xE8, 0xE7, 0xE6, 0xE5, 0xE4, 0xC3, 0xC0, 0xC4,
   0xC0, 0x23, 0x87, 0x88, 0x8A, 0xC5, 0xC0, 0xC6,
   0xC0, 0x25, 0x88, 0x8A, 0x8C, 0xCD, 0xCC, 0x4A,
   0xCA, 0xC8, 0x87, 0xC8, 0xC7, 0xC5, 0xC7, 0xC8,
   0xC9, 0x68, 0xC7, 0xC8, 0xC0, 0xC9, 0xC0, 0x28,
   0x00, 0xFE
};


// Utcára nyílik a..
const byte kotta[] PROGMEM=
{
   0x6F, 0xAD, 0xAF, 0x74, 0xB3, 0xB4, 0xB6, 0xB6,
   0xB8, 0xB9, 0x7B, 0x60, 0x6C, 0xAA, 0xAC, 0x6D,
   0xAC, 0xAD, 0xAF, 0xAF, 0xB1, 0xB3, 0x74, 0x00,
   0xFE
};


// Megfogtam egy szunyogot
const byte kotta[] PROGMEM=
{
   0xB6, 0xB4, 0xB3, 0xB4, 0xB3, 0xB4, 0x76, 0xB6,
   0xB4, 0xB3, 0xB4, 0x76, 0x76, 0xB6, 0xB4, 0xB3,
   0xB4, 0xB3, 0xB4, 0x76, 0xB6, 0xB4, 0xB3, 0xB4,
   0x76, 0x76, 0xAF, 0xB1, 0xB3, 0xB4, 0xB3, 0xB4,
   0x76, 0xB6, 0xB4, 0xB3, 0xB1, 0x6F, 0x6F, 0xAF,
   0xB1, 0xB3, 0xB4, 0xB3, 0xB4, 0x76, 0xB6, 0xB4,
   0xB3, 0xB4, 0x76, 0x76, 0x00, 0xFE   
};
 

// Torok indulo
const byte kotta[] PROGMEM=
{
   0xD9, 0xDB, 0xDC, 0xDB, 0xD8, 0x60, 0xD6, 0xD8,
   0xD9, 0xD8, 0xD4, 0x60, 0xD3, 0xD4, 0xD5, 0xD4,
   0xCD, 0xCF, 0xD0, 0xCF, 0xCD, 0xCF, 0xD0, 0xCF,
   0x4C, 0xCF, 0xC0, 0xCC, 0xC0, 0xEC, 0x8D, 0x8F,
   0xD1, 0xC0, 0xCF, 0xC0, 0x8D, 0x8F, 0xD1, 0xC0,
   0xCF, 0xC0, 0x8D, 0x8F, 0xD1, 0xC0, 0xD2, 0xC0,
   0x54, 0x00, 0xFE
};


// Megy a gozos *
const byte kotta[] PROGMEM=
{
   0xB8, 0xB8, 0xB4, 0xB8, 0xB1, 0xB1, 0xAF, 0xB1,
   0xB3, 0xB4, 0x76, 0x78, 0x60, 0xB8, 0xB8, 0xB4,
   0xB8, 0xB1, 0xB1, 0xAF, 0xB1, 0xB3, 0xB4, 0x76,
   0x78, 0x60, 0xB3, 0xB1, 0x6F, 0x6F, 0x60, 0xAC,
   0xAD, 0x6F, 0x71, 0x60, 0xAC, 0xB1, 0xB4, 0xB8,
   0xB1, 0xB1, 0xAF, 0xB1, 0xB3, 0xB4, 0x76, 0x78,
   0x00, 0xFE
};


// Meseauto
const byte kotta[] PROGMEM=
{
   0xB7, 0xB6, 0x6D, 0x6D, 0x6D, 0x6D, 0x6E, 0x6D,
   0x6A, 0x6C, 0xAC, 0xAD, 0x2F, 0xAD, 0xAF, 0x71,
   0x71, 0xAF, 0xB1, 0x72, 0x72, 0xB1, 0xB2, 0x14,
   0x00, 0xFE
};


// Szerelem szomoru
const byte kotta[] PROGMEM=
{
   0x43, 0x48, 0x2A, 0x8C, 0x4D, 0x4F, 0x11, 0x4F,
   0x8C, 0x8D, 0x2C, 0x8F, 0x91, 0x8F, 0x51, 0x14,
   0x00, 0xFE
};


// Kismadar
const byte kotta[] PROGMEM=
{
   0x79, 0xD8, 0x56, 0x56, 0x56, 0x74, 0xD2, 0x51,
   0x51, 0x91, 0x91, 0x6F, 0xCD, 0x4C, 0x4C, 0x8C,
   0x8C, 0x6D, 0xD1, 0x0F, 0x4F, 0x00, 0xFE
};


// Homokora
const byte kotta[] PROGMEM=
{
   0x6A, 0x8C, 0x8E, 0x8F, 0x8A, 0x8C, 0x6E, 0x6F,
   0x91, 0x71, 0x71, 0x8F, 0x2E, 0x80, 0x71, 0x91,
   0x92, 0x91, 0x8C, 0x8E, 0x6F, 0x71, 0x73, 0x94,
   0x73, 0x91, 0x2F, 0x00, 0xFE
};


// Big-Ben
const byte kotta[] PROGMEM=
{
   0x4F, 0x53, 0x51, 0x38, 0xE0, 0x58, 0x51, 0x4F,
   0x53, 0x00, 0xFE
};


// Bob herceg
const byte kotta[] PROGMEM=
{
   0x98, 0x98, 0x98, 0x31, 0x93, 0x91, 0x90, 0x51,
   0x95, 0x96, 0x95, 0x93, 0x55, 0x98, 0x55, 0x96,
   0x38, 0x00, 0xFE
};


//  Brahms - V. Magyar tanc
const byte kotta[] PROGMEM=
{
   0x76, 0xD1, 0x6E, 0xD1, 0x72, 0xF1, 0xEF, 0x51,
   0x75, 0xF3, 0xF1, 0x56, 0xF8, 0xFA, 0xFA, 0xFB,
   0xD8, 0xD6, 0x5D, 0x76, 0xF1, 0xEE, 0x6A, 0xCE,
   0x6F, 0xEE, 0xEC, 0x4E, 0xF5, 0xF3, 0xF1, 0xF5,
   0xF6, 0xF5, 0xF3, 0xF6, 0xF8, 0xF6, 0xF5, 0xF8,
   0xFA, 0xF8, 0xF6, 0xFA, 0xF8, 0xFA, 0xFA, 0xFB,
   0xDB, 0xF6, 0xE0, 0x5D, 0x00, 0xFE
};
 

// Hazam, hazam
const byte kotta[] PROGMEM=
{
  0x7B, 0x7A, 0x7B, 0x7C, 0x7B, 0x53, 0x94, 0x76,
  0x76, 0x54, 0x96, 0x58, 0x9A, 0x3B, 0x9B, 0x8F,
  0x6F, 0x71, 0x74, 0x71, 0x71, 0x73, 0x76, 0x73,
  0x54, 0x96, 0x57, 0x99, 0x37, 0x00, 0xFE   
};
 

// Derrick 
const byte kotta[] PROGMEM=
{
   0x90, 0x51, 0x95, 0x58, 0x90, 0x31, 0x31, 0x9D,
   0x98, 0x95, 0x51, 0x95, 0xD3, 0xC0, 0x56, 0x56,
   0x90, 0x51, 0x93, 0x56, 0x90, 0x31, 0x31, 0x9D,
   0x99, 0x96, 0x53, 0x96, 0xD5, 0xC0, 0x58, 0x38,
   0x00, 0xFE
};

 
// Maros menti fenyveserdo
const byte kotta[] PROGMEM=
{
   0xB1, 0xB1, 0xB8, 0xB8, 0xB4, 0xB4, 0xB1, 0x56,
   0xB4, 0x38, 0x38, 0xC0, 0xAA, 0xAA, 0xB1, 0xB1,
   0xAD, 0xAD, 0xAA, 0x4F, 0xAD, 0x31, 0x31, 0xC0,
   0x6C, 0xA8, 0xAA, 0x8C, 0xAF, 0x8D, 0x6C, 0x2F,
   0xE0, 0x71, 0xB1, 0xAF, 0x91, 0xB4, 0xB8, 0xB1,
   0x33, 0xC0, 0xB1, 0xB1, 0xB8, 0xB8, 0xB4, 0xB4,
   0x51, 0x56, 0x94, 0x38, 0x38, 0x00, 0xFE 
};


// Mar minalunk babam
const byte kotta[] PROGMEM=
{
   0xAF, 0xB1, 0xB3, 0xB4, 0xB3, 0x51, 0xB3, 0xB4,
   0xB6, 0xB7, 0xB6, 0x5A, 0x7B, 0x76, 0xB3, 0x54,
   0x36, 0x76, 0x60, 0xAF, 0xB1, 0xB3, 0xB4, 0xB3,
   0x51, 0xB3, 0xB4, 0xB6, 0xB7, 0xB6, 0x5A, 0x7B,
   0x76, 0xB3, 0x54, 0x36, 0x76, 0x60, 0x6F, 0xAC,
   0xAC, 0xAE, 0x2F, 0x31, 0x6F, 0x60, 0x6F, 0x6C,
   0xAE, 0x4F, 0xAF, 0x31, 0x6F, 0x60, 0xAF, 0xB1,
   0xB3, 0xB4, 0x73, 0x71, 0xB3, 0xB4, 0xB6, 0xB7,
   0xB6, 0x7A, 0xBA, 0x7B, 0x76, 0xB3, 0x54, 0x36,
   0x76, 0x00, 0xFE
};
 

// Kek Duna keringo
const byte kotta[] PROGMEM=
{
  0xD8, 0xD8, 0xD4, 0xD1, 0xD1, 0xC0, 0xE5, 0xE0,
  0xE5, 0xE0, 0xC0, 0xE8, 0xE0, 0xE8, 0xE0, 0xC0,
  0xD8, 0xD8, 0xD4, 0xD1, 0xD1, 0xC0, 0xE5, 0xE0,
  0xE5, 0xE0, 0xC0, 0xE7, 0xE0, 0xE7, 0xE0, 0x00,
  0xFE
};
 

// Kis ejji zene
const byte kotta[] PROGMEM=
{
  0xD1, 0x80, 0xF6, 0xE0, 0xD1, 0x80, 0xF6, 0xE0,
  0xF1, 0xE0, 0xF6, 0xE0, 0xF1, 0xE0, 0xED, 0xE0,
  0xCA, 0x60, 0xCC, 0x80, 0xEF, 0xE0, 0xCC, 0x80,
  0xEF, 0xE0, 0xEC, 0xE0, 0xEF, 0xE0, 0xF2, 0xE0,
  0xEF, 0xE0, 0xD6, 0x00, 0xFE
};


// Jarom az utam
const byte kotta[] PROGMEM=
{
  0x65, 0x85, 0x85, 0x85, 0x4A, 0x2A, 0x47, 0x89,
  0x8A, 0x8C, 0x8A, 0x31, 0x51, 0x65, 0x85, 0x85,
  0x85, 0x4A, 0x2A, 0x67, 0x45, 0x8A, 0x8C, 0x0A,
  0x00, 0xFE
};


// Flinstone
const byte kotta[] PROGMEM=
{
   0x80, 0xcd, 0xcd, 0x8d, 0xcd, 0xcd, 0x8d, 0xcd,
   0xca, 0xb1, 0xef, 0x8d, 0x80, 0xcc, 0xcc, 0xac,
   0xec, 0xcd, 0xcd, 0xad, 0xed, 0xcf, 0xcf, 0xcf,
   0xcd, 0x8f, 0x8a, 0x80, 0xcd, 0xcd, 0x8d, 0xcd,
   0xcd, 0x8d, 0xcd, 0xca, 0xb1, 0x80, 0xcd, 0xcd,
   0x8d, 0xcd, 0xcd, 0x8d, 0xcd, 0xca, 0xb1, 0xef,
   0x8d, 0x80, 0xcc, 0xcc, 0xac, 0xec, 0xcd, 0xcd,
   0xad, 0xed, 0xcf, 0xcf, 0xcf, 0xcd, 0x8f, 0x8a,
   0x80, 0xcd, 0xcd, 0x8d, 0xcd, 0xcd, 0x8d, 0xcd,
   0xca, 0xb1, 0xFF   
};
 
 
// Bolero
const byte kotta[] PROGMEM=
{
   0x0C, 0xAD, 0xAC, 0xAA, 0xAC, 0xAD, 0xAF, 0x6C,
   0xAC, 0xAF, 0x0C, 0xAD, 0xAC, 0xAF, 0xB1, 0xB4,
   0xB3, 0x31, 0x31, 0xB1, 0xB3, 0xB4, 0xB6, 0xB4,
   0xB3, 0xB1, 0xAF, 0x31, 0x31, 0xB1, 0xAF, 0xAD,
   0xAF, 0xB1, 0xB3, 0xB4, 0xB6, 0xB4, 0xB6, 0x38,
   0xB8, 0xB6, 0x74, 0x73, 0x36, 0x11, 0xFE, 0x98,
   0x53, 0x93, 0x53, 0x8F, 0x51, 0x93, 0x51, 0x8F,
   0x53, 0x93, 0x4F, 0x8C, 0x0A, 0xC0, 0x8A, 0x4C,
   0x8F, 0x4F, 0x93, 0x51, 0x93, 0x51, 0xCF, 0xD1,
   0x53, 0x96, 0x56, 0x98, 0x13, 0xFE, 0x65, 0xC8,
   0xC5, 0xC8, 0x87, 0x87, 0xC0, 0xCA, 0x68, 0xCD,
   0xC8, 0xCD, 0x8A, 0x8A, 0xC8, 0xCA, 0x6F, 0xF3,
   0xF1, 0xCF, 0xD3, 0x8D, 0x8D, 0xC0, 0xD1, 0x76,
   0xF6, 0xF4, 0xD3, 0xD6, 0x91, 0x71, 0xFE, 0x34,
   0x72, 0x71, 0x52, 0xb4, 0x34, 0x34, 0x76, 0xb9,
   0xb6, 0x14, 0xFE, 0x80, 0xd6, 0xd7, 0xd6, 0xd4,
   0xd3, 0xd4, 0xd3, 0xd1, 0xcf, 0x8f, 0x6f, 0xd3,
   0xd1, 0x8f, 0x91, 0x93, 0x94, 0x36, 0xfe, 0x80,
   0x98, 0x53, 0xd1, 0xce, 0xcf, 0xd1, 0x8c, 0x8c,
   0xcc, 0xca, 0xcf, 0xce, 0x91, 0x91, 0xd1, 0xce,
   0xcf, 0xd1, 0x93, 0xFE, 0x60, 0x6C, 0x8A, 0xCC,
   0x6F, 0x6F, 0x8F, 0xD1, 0x8F, 0xCE, 0x2F, 0x6E,
   0x91, 0xCC, 0x2F, 0x73, 0x96, 0xD1, 0x38, 0xFF
};


// Bolero
const byte kotta[] PROGMEM=
{
   0x0C, 0xAD, 0xAC, 0xAA, 0xAC, 0xAD, 0xAF, 0x6C,
   0xAC, 0xAF, 0x0C, 0xAD, 0xAC, 0xAF, 0xB1, 0xB4,
   0xB3, 0x31, 0x31, 0xB1, 0xB3, 0xB4, 0xB6, 0xB4,
   0xB3, 0xB1, 0xAF, 0x31, 0x31, 0xB1, 0xAF, 0xAD,
   0xAF, 0xB1, 0xB3, 0xB4, 0xB6, 0xB4, 0xB6, 0x38,
   0xB8, 0xB6, 0x74, 0x73, 0x36, 0x11, 0xFF
};


//
const byte kotta[] PROGMEM=
{
   0x80, 0xd6, 0xd7, 0xd6, 0xd4, 0xd3, 0xd4, 0xd3,
   0xd1, 0xcf, 0x8f, 0x6f, 0xd3, 0xd1, 0x8f, 0x91,
   0x93, 0x94, 0x36, 0xfe, 0x80, 0x98, 0x53, 0xd1,
   0xce, 0xcf, 0xd1, 0x8c, 0x8c, 0xcc, 0xca, 0xcf,
   0xce, 0x91, 0x91, 0xd1, 0xce, 0xcf, 0xd1, 0x93,
   0xFF
};


//
const byte kotta[] PROGMEM=
{

   0x65, 0xC8, 0xC5, 0xC8, 0x87, 0x87, 0xC0, 0xCA,
   0x68, 0xCD, 0xC8, 0xCD, 0x8A, 0x8A, 0xC8, 0xCA,
   0x6F, 0xF3, 0xF1, 0xCF, 0xD3, 0x8D, 0x8D, 0xC0,
   0xD1, 0x76, 0xF6, 0xF4, 0xD3, 0xD6, 0x91, 0x71,
   0xFF
};


//
const byte kotta[] PROGMEM=
{
   0x98, 0x53, 0x93, 0x53, 0x8F, 0x51, 0x93, 0x51,
   0x8F, 0x53, 0x93, 0x4F, 0x8C, 0x0A, 0xC0, 0x8A,
   0x4C, 0x8F, 0x4F, 0x93, 0x51, 0x93, 0x51, 0xCF,
   0xD1, 0x53, 0x96, 0x56, 0x98, 0x13, 0xFF
};


// Torreador dal
const byte kotta[] PROGMEM=
{
   0x60, 0x6C, 0x8A, 0xCC, 0x6F, 0x6F, 0x8F, 0xD1,
   0x8F, 0xCE, 0x2F, 0x6E, 0x91, 0xCC, 0x2F, 0x73,
   0x96, 0xD1, 0x38, 0xFF
};


// Mindenkiben csalodtam
const byte kotta[] PROGMEM=
{
   0x96, 0x95, 0x96, 0x97, 0x96, 0x8E, 0x4E, 0x0E,
   0x4E, 0x4A, 0x4E, 0x2C, 0x0F, 0x2F, 0x96, 0x95,
   0x96, 0x97, 0x96, 0x8F, 0x4F, 0x0F, 0x80, 0x4F,
   0x4E, 0x52, 0x11, 0x00, 0xFE
};


// No milk today *
const byte kotta[] PROGMEM=
{
   0x8F, 0x4F, 0x8D, 0x2C, 0x8D, 0x8F, 0x91, 0x91,
   0x94, 0x31, 0x8F, 0x94, 0x96, 0x96, 0x94, 0x3B,
   0x80, 0x94, 0x96, 0x95, 0x94, 0x1B, 0x00, 0xFE 
};
*/




void setup()
{
   pinMode(  KIMENET, OUTPUT);
   lejatszo( kotta); 
}




void loop() {}




void lejatszo( const byte * k)
{
   byte h;                                       // hang
   int i= 0;                                     // mutato
   while( 1)
   {
      h= pgm_read_byte_near( k+ i);
      if( h == 0xFF || h == 0xFE) break;         // vege
      hang( h);
      i++;
   }
   noTone( KIMENET);
}




void hang( byte d)
{
   //                         1     3/4    1/2    3/8    1/4   3/16    1/8  1/16
   static int hossz[]= { 16* TT, 12* TT, 8* TT, 6* TT, 4* TT, 3* TT, 2* TT, TT};
   //                    0    1    2    3    4    5    6    7    8    9   10   11   12   13   14   15   16   17   18   19   20   21   22   23   24   25   26   27   28   29
   static int freki[]= { 0, 988, 932, 880, 830, 784, 740, 698, 658, 622, 588, 554, 522, 494, 466, 440, 415, 392, 370, 349, 329, 311, 294, 277, 261, 247, 233, 220, 208, 196};
   byte f= d & B00011111;
   byte h= ( d & B11100000) >> 5;
   if( f) tone( KIMENET, freki[ f], TT* 20); 
   else   noTone( KIMENET);
   delay( hossz[ h]);
}
